import { Construct } from "constructs";
import { Values } from "./values";
export declare function hasAccount(values: Values): boolean;
export declare function hasEnvironment(values: Values): boolean;
/**
 * Enforces usage of https://github.com/almamedia/alma-cdk-jsii-tag-and-name
 * (for AWS CDK v1) compatible tagging behavior.
 *
 * @deprecated This behavior is not encouraged and will be removed in v2. Additionally according to GitHub search, this is not used anymore.
 */
export declare function useLegacyTags(scope: Construct): boolean;
/**
 * Compatibility flag for v0 tagging behavior.
 * Due to a bug in v0, the `Contact` and `Organization` tags were NOT applied as they should have.
 * This flag can be used to enforce behavior that matches v0 implementation:
 * I.e. `Contact` and `Organization` tags are NOT applied.
 *
 * @deprecated This behavior is not encouraged and will be removed in v2.
 */
export declare function useCompatibilityV0Tags(scope: Construct): boolean;
